Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.query.exp
Class BindKeyVariableExpression

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.EmptyExpression
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.BindKeyVariableExpression

All Implemented Interfaces:
  Expression, JDBCExpression

public class BindKeyVariableExpression
extends EmptyExpression

Binds a variable to a value.

Constructor Summary
`BindKeyVariableExpression(com.solarmetric.rd.kodo.impl.jdbc.query.exp.Variable var, com.solarmetric.rd.kodo.impl.jdbc.query.exp.SQLPath val)` Constructor.

Method Summary
`void` | `appendTo(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer buf, com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, java.util.Map params)` Append the SQL for this expression to the given buffer.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.query.exp.EmptyExpression
`appendOrdering, getJoins, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindKeyVariableExpression

    public BindKeyVariableExpression(com.solarmetric.rd.kodo.impl.jdbc.query.exp.Variable var,
                                     com.solarmetric.rd.kodo.impl.jdbc.query.exp.SQLPath val)

  Constructor. Supply values.

Method Detail

### appendTo

    public void appendTo(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer buf,
                         com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                         java.util.Map params)

  Description copied from interface: `JDBCExpression`
  Append the SQL for this expression to the given buffer. The SQL should optinally include any joins this expression needs.

  Specified by:
    `appendTo` in interface `JDBCExpression`
  Overrides:
    `appendTo` in class `EmptyExpression`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.